Mint a hosted pay-by-link
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/commerce/payment-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"amount": 123,
"currency": "<string>",
"hostedBaseUrl": "<string>",
"description": "<string>",
"reference": "<string>",
"expiresAt": 123
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/commerce/payment-request"
payload = {
"id": "<string>",
"amount": 123,
"currency": "<string>",
"hostedBaseUrl": "<string>",
"description": "<string>",
"reference": "<string>",
"expiresAt": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
amount: 123,
currency: '<string>',
hostedBaseUrl: '<string>',
description: '<string>',
reference: '<string>',
expiresAt: 123
})
};
fetch('https://api.orbit.devotel.io/api/v1/commerce/payment-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"reference": "<string>",
"checkoutUrl": "<string>",
"expiresAt": 123,
"createdAt": 123,
"updatedAt": 123
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Commerce
Mint a hosted pay-by-link
Mint a fresh channel-agnostic hosted PSP-checkout link (PaymentRequest).
POST
/
api
/
v1
/
commerce
/
payment-request
Mint a hosted pay-by-link
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
⌘I